> ## Documentation Index
> Fetch the complete documentation index at: https://docs.usecontextlayer.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get an agent job's catalog entry



## OpenAPI

````yaml https://platform.usecontextlayer.com/api/openapi.json get /slates/{target}/agents/{name}/jobs/{id}
openapi: 3.1.0
info:
  title: ContextLayer Platform
  version: 0.1.0
servers:
  - url: https://platform.usecontextlayer.com/api
security: []
tags:
  - name: Slates
  - name: Slate routing
  - name: Slate resources
  - name: Accounts
  - name: Shared secrets
  - name: Agents
  - name: Agent jobs
paths:
  /slates/{target}/agents/{name}/jobs/{id}:
    get:
      tags:
        - Agent jobs
      summary: Get an agent job's catalog entry
      operationId: getAgentJob
      parameters:
        - schema:
            type: string
            minLength: 1
          required: true
          name: name
          in: path
        - schema:
            anyOf:
              - type: string
                format: uuid
              - type: string
          required: true
          name: target
          in: path
        - schema:
            type: string
            format: uuid
          required: true
          name: id
          in: path
      responses:
        '200':
          description: Native job catalog entry with actor and trigger provenance
          content:
            application/json:
              schema:
                type: object
                properties:
                  createdAt:
                    type: number
                  id:
                    type: string
                    format: uuid
                  metadata:
                    type:
                      - object
                      - 'null'
                    properties:
                      actor:
                        oneOf:
                          - type: object
                            properties:
                              type:
                                type: string
                                enum:
                                  - app
                            required:
                              - type
                          - type: object
                            properties:
                              id:
                                type: string
                                minLength: 1
                              type:
                                type: string
                                enum:
                                  - user
                            required:
                              - id
                              - type
                      trigger:
                        oneOf:
                          - type: object
                            properties:
                              type:
                                type: string
                                enum:
                                  - api
                            required:
                              - type
                          - type: object
                            properties:
                              schedule:
                                type: string
                              scheduleId:
                                type: string
                              type:
                                type: string
                                enum:
                                  - schedule
                            required:
                              - schedule
                              - scheduleId
                              - type
                    required:
                      - actor
                      - trigger
                  updatedAt:
                    type: number
                required:
                  - createdAt
                  - id
                  - metadata
                  - updatedAt
        '400':
          description: Invalid slate target, agent name, or job ID
        '401':
          description: A valid ContextLayer login is required
        '403':
          description: Slate viewing is forbidden or the slate is public
        '404':
          description: Slate or agent job not found
      security:
        - bearerAuth: []
        - webCookie: []
        - localWebCookie: []
components:
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    webCookie:
      in: cookie
      name: __Secure-better-auth.session_token
      type: apiKey
    localWebCookie:
      in: cookie
      name: better-auth.session_token
      type: apiKey

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.